﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace OyakoStoryboardTest
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void buttonOverSpeed_Click(object sender, RoutedEventArgs e)
        {
            Fafamama fafamama = new Fafamama(Fafamama.BornType.OverSpeed, Fafamama.ChildType.Son);
            fafamama.HorizontalAlignment = HorizontalAlignment.Left;
            fafamama.Margin = new Thickness(0, 200, 0, 0);
            LayoutRoot.Children.Add(fafamama);
        }

        private void buttonLoaded_Click(object sender, RoutedEventArgs e)
        {
            Fafamama fafamama = new Fafamama(Fafamama.BornType.Loaded, Fafamama.ChildType.Son);
            fafamama.HorizontalAlignment = HorizontalAlignment.Left;
            fafamama.Margin = new Thickness(200, 200, 0, 0);
            LayoutRoot.Children.Add(fafamama);
        }

        private void buttonNormal_Click(object sender, RoutedEventArgs e)
        {
            Fafamama fafamama = new Fafamama(Fafamama.BornType.Normal, Fafamama.ChildType.Son);
            fafamama.HorizontalAlignment = HorizontalAlignment.Left;
            fafamama.Margin = new Thickness(400, 200, 0, 0);
            LayoutRoot.Children.Add(fafamama);

            fafamama.MakeSons();
        }

        private void buttonOverSpeedD_Click(object sender, RoutedEventArgs e)
        {
            Fafamama fafamama = new Fafamama(Fafamama.BornType.OverSpeed, Fafamama.ChildType.Daughter);
            fafamama.HorizontalAlignment = HorizontalAlignment.Left;
            fafamama.Margin = new Thickness(0, 0, 0, 0);
            LayoutRoot.Children.Add(fafamama);
        }

        private void buttonLoadedD_Click(object sender, RoutedEventArgs e)
        {
            Fafamama fafamama = new Fafamama(Fafamama.BornType.Loaded, Fafamama.ChildType.Daughter);
            fafamama.HorizontalAlignment = HorizontalAlignment.Left;
            fafamama.Margin = new Thickness(200, 0, 0, 0);
            LayoutRoot.Children.Add(fafamama);
        }

        private void buttonNormalD_Click(object sender, RoutedEventArgs e)
        {
            Fafamama fafamama = new Fafamama(Fafamama.BornType.Normal, Fafamama.ChildType.Daughter);
            fafamama.HorizontalAlignment = HorizontalAlignment.Left;
            fafamama.Margin = new Thickness(400, 0, 0, 0);
            LayoutRoot.Children.Add(fafamama);

            fafamama.MakeDaughters();
        }
    }
}
